{config, ...}: {
  imports = [
    ./configuration.nix

    #./hardware-configuration.nix
    ../plasma
    ../niri
  ];

  specialisation = {
    "plasma" = {
      inheritParentConfig = false;
      configuration = {
        imports = [
          ../plasma
          ./configuration.nix
        ];

        environment.etc."nixos-tags".text = "plasma";
      };
    };

    #     "minimal" = {
    #       inheritParentConfig = false;
    #       configuration = {
    #         imports = [
    #           ./minimal.nix
    #         ];
    #
    #         environment.etc."nixos-tags".text = "minimal";
    #       };
    #     };

    "niri" = {
      inheritParentConfig = false;
      configuration = {
        imports = [
          ../niri
          ./configuration.nix
        ];

        environment.etc."nixos-tags".text = "niri";
      };
    };
  };
}
